io.undertow.server.session

## Class SecureRandomSessionIdGenerator

- java.lang.Object
- - io.undertow.server.session.SecureRandomSessionIdGenerator

All Implemented Interfaces:
  SessionIdGenerator

    public class SecureRandomSessionIdGenerator
    extends Object
    implements SessionIdGenerator

A `SessionIdGenerator` that uses a secure random to generate a session ID. On some systems this may perform poorly if not enough entropy is available, depending on the algorithm in use.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`SecureRandomSessionIdGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `createSessionId()`
`int` `getLength()`
`void` `setLength(int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecureRandomSessionIdGenerator

    public SecureRandomSessionIdGenerator()

### Method Detail

#### createSessionId

    public String createSessionId()

Specified by:
  `createSessionId` in interface `SessionIdGenerator`

#### getLength

    public int getLength()

#### setLength

    public void setLength(int length)